org.keycloak.storage.federated

## Interface UserFederatedStorageProvider

- All Superinterfaces:
    Provider, UserAttributeFederatedStorage, UserBrokerLinkFederatedStorage, UserConsentFederatedStorage, UserFederatedUserCredentialStore, UserGroupMembershipFederatedStorage, UserNotBeforeFederatedStorage, UserRequiredActionsFederatedStorage, UserRoleMappingsFederatedStorage
  All Known Subinterfaces:
    UserFederatedStorageProvider.Streams
  All Known Implementing Classes:
    JpaUserFederatedStorageProvider

      public interface UserFederatedStorageProvider
      extends Provider, UserAttributeFederatedStorage, UserBrokerLinkFederatedStorage, UserConsentFederatedStorage, UserNotBeforeFederatedStorage, UserGroupMembershipFederatedStorage, UserRequiredActionsFederatedStorage, UserRoleMappingsFederatedStorage, UserFederatedUserCredentialStore

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `UserFederatedStorageProvider.Streams` The `UserFederatedStorageProvider.Streams` interface makes all collection-based methods in `UserFederatedStorageProvider` default by providing implementations that delegate to the `Stream`-based variants instead of the other way around.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getStoredUsers(RealmModel realm, int first, int max)` Deprecated. Use `getStoredUsersStream` instead.
    `int` | `getStoredUsersCount(RealmModel realm)`
    `default Stream<String>` | `getStoredUsersStream(RealmModel realm, Integer first, Integer max)` Obtains the ids of all federated users in the realm.
    `void` | `preRemove(ClientScopeModel clientScope)`
    `void` | `preRemove(ProtocolMapperModel protocolMapper)`
    `void` | `preRemove(RealmModel realm)`
    `void` | `preRemove(RealmModel realm, ClientModel client)`
    `void` | `preRemove(RealmModel realm, ComponentModel model)`
    `void` | `preRemove(RealmModel realm, GroupModel group)`
    `void` | `preRemove(RealmModel realm, RoleModel role)`
    `void` | `preRemove(RealmModel realm, UserModel user)`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserAttributeFederatedStorage

      `getAttributes, getUsersByUserAttribute, getUsersByUserAttributeStream, removeAttribute, setAttribute, setSingleAttribute`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserBrokerLinkFederatedStorage

      `addFederatedIdentity, getFederatedIdentities, getFederatedIdentitiesStream, getFederatedIdentity, getUserByFederatedIdentity, preRemove, removeFederatedIdentity, updateFederatedIdentity`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserConsentFederatedStorage

      `addConsent, getConsentByClient, getConsents, getConsentsStream, revokeConsentForClient, updateConsent`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserNotBeforeFederatedStorage

      `getNotBeforeOfUser, setNotBeforeForUser`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserGroupMembershipFederatedStorage

      `getGroups, getGroupsStream, getMembership, getMembershipStream, joinGroup, leaveGroup`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRequiredActionsFederatedStorage

      `addRequiredAction, getRequiredActions, getRequiredActionsStream, removeRequiredAction`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserRoleMappingsFederatedStorage

      `deleteRoleMapping, getRoleMappings, getRoleMappingsStream, grantRole`

    - ### Methods inherited from interface org.keycloak.storage.federated.UserFederatedUserCredentialStore

      `createCredential, getStoredCredentialById, getStoredCredentialByNameAndType, getStoredCredentials, getStoredCredentialsByType, getStoredCredentialsByTypeStream, getStoredCredentialsStream, removeStoredCredential, updateCredential`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### getStoredUsers

          @Deprecated
          List<String> getStoredUsers(RealmModel realm,
                                                  int first,
                                                  int max)

      Deprecated. Use `getStoredUsersStream` instead.

    - #### getStoredUsersStream

          default Stream<String> getStoredUsersStream(RealmModel realm,
                                                      Integer first,
                                                      Integer max)

      Obtains the ids of all federated users in the realm.
      Parameters:
        `realm` - a reference to the realm.
        `first` - first result to return. Ignored if negative or `null`.
        `max` - maximum number of results to return. Ignored if negative or `null`.
      Returns:
        a non-null `Stream` of federated user ids.

    - #### getStoredUsersCount

          int getStoredUsersCount(RealmModel realm)

    - #### preRemove

          void preRemove(RealmModel realm)

    - #### preRemove

          void preRemove(RealmModel realm,
                         GroupModel group)

    - #### preRemove

          void preRemove(RealmModel realm,
                         RoleModel role)

    - #### preRemove

          void preRemove(RealmModel realm,
                         ClientModel client)

    - #### preRemove

          void preRemove(ProtocolMapperModel protocolMapper)

    - #### preRemove

          void preRemove(ClientScopeModel clientScope)

    - #### preRemove

          void preRemove(RealmModel realm,
                         UserModel user)

    - #### preRemove

          void preRemove(RealmModel realm,
                         ComponentModel model)

Copyright © 2021 JBoss by Red Hat. All rights reserved.